Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161015 - Missing BuildRequires dependency on which
Summary: Missing BuildRequires dependency on which
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: subversion
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 21:03 UTC by Andreas Thienemann
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 15:58:37 UTC


Attachments (Terms of Use)

Description Andreas Thienemann 2005-06-19 21:03:55 UTC
During a testbuild of subversion-1.1.1-2.1 in mock, the rebuild process
stops with the following error:

buildcheck: checking installation...
buildcheck: autoconf version 2.59 (ok)
buildcheck: autoheader version 2.59 (ok)
./build/buildcheck.sh: line 91: which: command not found
./build/buildcheck.sh: line 94: which: command not found
buildcheck: libtool not found.
            You need libtool version 1.4 or newer installed
error: Bad exit status from /var/tmp/rpm-tmp.69515 (%build)

Adding which to the BuildRequires: list fixes this problem.

Comment 1 Joe Orton 2005-09-12 13:47:07 UTC
Thanks for the report.  This issue has been fixed in Raw Hide, and will be fixed
in any future update to the subversion package subsequent to U2.

Comment 2 Joe Orton 2007-04-25 15:58:37 UTC
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 


Note You need to log in before you can comment on or make changes to this bug.